package com.bonus.canteen.core.drp.constant;

public enum DrpOrderTypeEnum {
   INTO(1, "入库"),
   OUT(2, "出库"),
   OVERDRAFT(3, "透支");

   private final Integer key;
   private final String value;

   private DrpOrderTypeEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpOrderTypeEnum[] enums = values();
      DrpOrderTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpOrderTypeEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpOrderTypeEnum[] enums = values();
      DrpOrderTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpOrderTypeEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
